Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Class Customer_shippingAddress_SmartMapReference

    java.lang.Object
      com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference
          com.beasys.commerce.ebusiness.customer.Customer_shippingAddress_SmartMapReference

All Implemented Interfaces
  SmartMapReference, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class Customer_shippingAddress_SmartMapReference

extends com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference

Base class for all SmartMapReferences for Belongings for BMP. Each subclass must implement its own query to fill the map.

See Also
  Serialized Form

Constructor Summary
`Customer_shippingAddress_SmartMapReference(String attributeIdentifier, Object container)` Deprecated See BEA Commerce product offering

Method Summary
`static void` | `doCreate(Connection connection, Object key)` Deprecated See BEA Commerce product offering
`static void` | `doDelete(Connection connection, Object key)` Deprecated See BEA Commerce product offering
`Map` | `doQuery(String attributeIdentifier, Object container)` Deprecated See BEA Commerce product offering
`static void` | `doUpdate(Connection connection, Object key, Object containedInstance, String mapKey, Object container)` Deprecated See BEA Commerce product offering
`static void` | `refresh(String attributeIdentifier, Object container)` Deprecated See BEA Commerce product offering
`static void` | `update(Connection connection, Object key, Object container)` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference
`cursor, deletedObjects, doSmartUpdate, getMap, newObjects, setMap, updatedObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Customer_shippingAddress_SmartMapReference

    public Customer_shippingAddress_SmartMapReference(String attributeIdentifier,
                                                      Object container)

  Deprecated See BEA Commerce product offering

  constructor

  Parameters
    `attributeIdentifier` - the attribute identifier for this map reference. This is the fully qualified class name "dot" attribute e.g. example.Customer.creditCards where example.Customer is a class and creditCards is a map in the class
    `entityImpl` - the entity that contains this map.

Method Detail

### doQuery

    public Map doQuery(String attributeIdentifier,
                       Object container)
                throws BMPException

  Deprecated See BEA Commerce product offering

  Perform the database query to fill this map.

  Specified by:
    `doQuery` in class `com.beasys.commerce.foundation.plugin.bmp.BMPBelongingSmartMapReference`
  Throws
    `BMPException`

### refresh

    public static void refresh(String attributeIdentifier,
                               Object container)
                        throws BMPException

  Deprecated See BEA Commerce product offering

  Refreshes the SmartMapReference of shippingAddresses associated with this Customer with the values from the database.

  Parameters
    `attributeIdentifier` - the attribute identifier for this map reference. This is the fully qualified class name "dot" attribute e.g. example.Customer.creditCards where example.Customer is a class and creditCards is a map in the class
    `container` - the Customer that owns these shippingAddresses
  Throws
    `BMPException`

### update

    public static void update(Connection connection,
                              Object key,
                              Object container)
                       throws BMPException

  Deprecated See BEA Commerce product offering

  Throws
    `BMPException`

### doCreate

    public static void doCreate(Connection connection,
                                Object key)
                         throws BMPException

  Deprecated See BEA Commerce product offering

  Throws
    `BMPException`

### doDelete

    public static void doDelete(Connection connection,
                                Object key)
                         throws BMPException

  Deprecated See BEA Commerce product offering

  Throws
    `BMPException`

### doUpdate

    public static void doUpdate(Connection connection,
                                Object key,
                                Object containedInstance,
                                String mapKey,
                                Object container)
                         throws BMPException

  Deprecated See BEA Commerce product offering

  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved